#include <afxwin.h>

class CMainFrame: public CFrameWnd
{
	int nLCount, nRCount;

public:
	CMainFrame():CFrameWnd(), nLCount(0), nRCount(0) {}

	DECLARE_MESSAGE_MAP()

	void OnPaint()
	{
		CPaintDC dc(this);
		CString strLeft, strRight;
		strLeft.Format(TEXT("Left clicks: %d"), nLCount);
		strRight.Format(TEXT("Right clicks: %d"), nRCount);

		dc.TextOut(10, 10, strLeft);
		dc.TextOut(10, 40, strRight);
	}

	void OnLButtonUp(UINT /*nFlags*/, CPoint /*pt*/)
	{
		nLCount++;
		Invalidate();
	}

	void OnRButtonUp(UINT /*nFlags*/, CPoint /*pt*/)
	{
		nRCount++;
		Invalidate();
	}
};

BEGIN_MESSAGE_MAP(CMainFrame, CFrameWnd)
	ON_WM_LBUTTONUP()
	ON_WM_RBUTTONUP()
	ON_WM_PAINT()
END_MESSAGE_MAP()


class CMyApp: public CWinApp
{
	BOOL InitInstance()
	{
		CMainFrame* pfr = new CMainFrame;
		m_pMainWnd = pfr;
		pfr->Create(NULL, TEXT("Click"));
		pfr->ShowWindow(SW_SHOW);
		pfr->UpdateWindow();
		return TRUE;
	}
};

CMyApp theApp;
